f



PPPD 2.4.1 and 2.4.2 with wvdial 1.53 problem

Hello

I have downloaded pppd 2.4.2 (and 2.4.1 after I failed to connect with
2.4.1) and it compiled (both the kernel and the user parts) OK.

Without any changes to my wvdial 1.53 conf file,  I try to use the new pppd.

Result:

Feb 13 15:53:16 gw wvdial[2629]: WvDial: Internet dialer version 1.53
Feb 13 15:53:16 gw wvdial[2629]: Initializing modem.
Feb 13 15:53:16 gw wvdial[2629]: Sending: AT
Feb 13 15:53:16 gw wvdial[2629]: ERROR
Feb 13 15:53:16 gw wvdial[2629]: ERROR
Feb 13 15:53:16 gw wvdial[2629]: OK
Feb 13 15:53:16 gw wvdial[2629]: Sending: ATB0
Feb 13 15:53:16 gw wvdial[2629]: ERROR
Feb 13 15:53:16 gw wvdial[2629]: Bad init string.
Feb 13 15:53:16 gw wvdial[2629]: Initializing modem.
Feb 13 15:53:16 gw wvdial[2629]: Sending: AT
Feb 13 15:53:17 gw wvdial[2629]: ERROR
Feb 13 15:53:17 gw wvdial[2629]: ERROR
Feb 13 15:53:17 gw wvdial[2629]: OK
Feb 13 15:53:17 gw wvdial[2629]: Sending: ATB0
Feb 13 15:53:17 gw wvdial[2629]: ERROR
Feb 13 15:53:17 gw wvdial[2629]: Bad init string.
Feb 13 15:53:17 gw wvdial[2629]: Initializing modem.
Feb 13 15:53:17 gw wvdial[2629]: Sending: AT
Feb 13 15:53:17 gw wvdial[2629]: ERROR
Feb 13 15:53:17 gw wvdial[2629]: OK
Feb 13 15:53:17 gw wvdial[2629]: Sending: ATB0
Feb 13 15:53:17 gw wvdial[2629]: ERROR
Feb 13 15:53:17 gw wvdial[2629]: Bad init string.
Feb 13 15:53:17 gw pppd[2618]: Connect script failed
Feb 13 15:53:44 gw pppd[2631]: tdb_store failed: IO Error
Feb 13 15:53:44 gw pppd[2632]: tdb_store key failed: IO Error
Feb 13 15:53:44 gw pppd[2632]: tdb_store failed: IO Error
Feb 13 15:53:44 gw pppd[2632]: pppd 2.4.2 started by root, uid 0
Feb 13 15:53:44 gw pppd[2632]: tdb_store failed: IO Error
Feb 13 15:53:44 gw pppd[2632]: tdb_store key failed: IO Error
Feb 13 15:53:44 gw pppd[2632]: tdb_store failed: IO Error
Feb 13 15:53:44 gw pppd[2632]: tdb_store key failed: IO Error
Feb 13 15:53:44 gw pppd[2632]: tdb_store failed: IO Error
Feb 13 15:53:44 gw pppd[2632]: Using interface ppp1
Feb 13 15:53:44 gw pppd[2632]: tdb_store key failed: IO Error
Feb 13 15:53:44 gw pppd[2632]: tdb_store failed: IO Error
Feb 13 15:53:44 gw pppd[2632]: not replacing existing default route to ppp0
[10.112.112.112]
_________________________________________________________
OR

Feb 13 15:54:49 gw wvdial[2675]: WvDial: Internet dialer version 1.53
Feb 13 15:54:49 gw wvdial[2675]: Initializing modem.
Feb 13 15:54:49 gw wvdial[2675]: Sending: AT
Feb 13 15:54:49 gw wvdial[2675]: ERROR
Feb 13 15:54:49 gw last message repeated 2 times
Feb 13 15:54:49 gw wvdial[2675]: OK
Feb 13 15:54:49 gw wvdial[2675]: Modem initialized.
Feb 13 15:54:49 gw wvdial[2675]: Sending: ATD8962518180
Feb 13 15:54:49 gw wvdial[2675]: Waiting for carrier.
Feb 13 15:54:49 gw wvdial[2675]: ERROR
Feb 13 15:54:49 gw wvdial[2675]: Voice line detected.  Trying again.
Feb 13 15:54:49 gw wvdial[2675]: Sending: ATD8962518180
Feb 13 15:54:49 gw wvdial[2675]: Waiting for carrier.
Feb 13 15:54:50 gw wvdial[2675]: ERROR
Feb 13 15:54:50 gw wvdial[2675]: Voice line detected.  Trying again.
Feb 13 15:54:50 gw wvdial[2675]: Sending: ATD8962518180
Feb 13 15:54:50 gw wvdial[2675]: Waiting for carrier.
Feb 13 15:54:50 gw wvdial[2675]: NO CARRIER
Feb 13 15:54:50 gw wvdial[2675]: No Carrier!  Trying again.
Feb 13 15:54:51 gw wvdial[2675]: Sending: ATD8962518180
Feb 13 15:54:51 gw wvdial[2675]: Waiting for carrier.
Feb 13 15:54:51 gw wvdial[2675]: NO CARRIER
Feb 13 15:54:51 gw wvdial[2675]: No Carrier!  Trying again.
Feb 13 15:54:51 gw wvdial[2675]: Sending: ATD8962518180
Feb 13 15:54:51 gw wvdial[2675]: Waiting for carrier.
Feb 13 15:54:51 gw wvdial[2675]: NO CARRIER
Feb 13 15:54:51 gw wvdial[2675]: No Carrier!  Trying again.
Feb 13 15:54:52 gw wvdial[2675]: Sending: ATD8962518180
Feb 13 15:54:52 gw wvdial[2675]: Waiting for carrier.
Feb 13 15:54:52 gw wvdial[2675]: NO CARRIER
Feb 13 15:54:52 gw wvdial[2675]: No Carrier!  Trying again.
Feb 13 15:54:52 gw wvdial[2675]: Sending: ATD8962518180
Feb 13 15:54:52 gw wvdial[2675]: Waiting for carrier.
Feb 13 15:54:52 gw wvdial[2675]: NO CARRIER
Feb 13 15:54:52 gw wvdial[2675]: No Carrier!  Trying again.
Feb 13 15:54:53 gw wvdial[2675]: Sending: ATD8962518180
Feb 13 15:54:53 gw wvdial[2675]: Waiting for carrier.
Feb 13 15:54:53 gw wvdial[2675]: NO CARRIER
Feb 13 15:54:53 gw wvdial[2675]: No Carrier!  Trying again.
Feb 13 15:54:54 gw wvdial[2675]: Sending: ATD8962518180
Feb 13 15:54:54 gw wvdial[2675]: Waiting for carrier.
Feb 13 15:54:54 gw wvdial[2675]: NO CARRIER
Feb 13 15:54:54 gw wvdial[2675]: No Carrier!  Trying again.
Feb 13 15:54:54 gw wvdial[2675]: Sending: ATD8962518180
Feb 13 15:54:54 gw wvdial[2675]: Waiting for carrier.
Feb 13 15:54:54 gw wvdial[2675]: NO CARRIER
Feb 13 15:54:54 gw wvdial[2675]: No Carrier!  Trying again.
Feb 13 15:54:54 gw wvdial[2675]: Maximum Attempts Exceeded..Aborting!!
Feb 13 15:54:54 gw wvdial[2675]: Disconnecting at Fri Feb 13 15:54:54 2004
Feb 13 15:54:54 gw pppd[2665]: Serial connection established.
Feb 13 15:54:54 gw pppd[2665]: tdb_store failed: IO Error
Feb 13 15:54:54 gw pppd[2665]: using channel 6
Feb 13 15:54:54 gw pppd[2665]: Connect: ppp0 <--> /dev/input/ttyACM0
Feb 13 15:54:54 gw pppd[2665]: tdb_store failed: IO Error
Feb 13 15:54:54 gw last message repeated 2 times
Feb 13 15:54:55 gw pppd[2665]: sent [LCP ConfReq id=0x1 <asyncmap 0x0>
<magic 0x57d1a2e> <pcomp> <accomp>
]
Feb 13 15:55:22 gw last message repeated 9 times
Feb 13 15:55:25 gw pppd[2665]: LCP: timeout sending Config-Requests
Feb 13 15:55:25 gw pppd[2665]: Connection terminated.
Feb 13 15:55:25 gw pppd[2665]: Receive serial link is not 8-bit clean:
Feb 13 15:55:25 gw pppd[2665]: Problem: all had bit 7 set to 0
Feb 13 15:55:38 gw pppd[2665]: Terminating on signal 15.
Feb 13 15:55:38 gw pppd[2665]: Exit.
:
_________________________________________________________

I have kept backup of the old binaries staff (also 2.4.1) and if I use the
old pppd I get (at the same period that the new pppd says no carrier:

Feb 15 21:26:01 gw wvdial[11140]: WvDial: Internet dialer version 1.53
Feb 15 21:26:01 gw wvdial[11140]: Initializing modem.
Feb 15 21:26:01 gw wvdial[11140]: Sending: AT
Feb 15 21:26:01 gw wvdial[11140]: OK
Feb 15 21:26:01 gw wvdial[11140]: Sending: ATB0
Feb 15 21:26:01 gw wvdial[11140]: OK
Feb 15 21:26:06 gw wvdial[11140]: Sending: ATDT8962518180
Feb 15 21:26:06 gw wvdial[11140]: Waiting for carrier.
Feb 15 21:26:07 gw wvdial[11140]: CONNECT
Feb 15 21:26:07 gw wvdial[11140]: Carrier detected.  Chatmode finished.
Feb 15 21:26:07 gw pppd[11130]: Serial connection established.
Feb 15 21:26:07 gw pppd[11130]: tdb_store failed: IO Error
Feb 15 21:26:07 gw pppd[11130]: using channel 19
Feb 15 21:26:07 gw pppd[11130]: Connect: ppp0 <--> /dev/input/ttyACM0
Feb 15 21:26:07 gw pppd[11130]: tdb_store failed: IO Error
Feb 15 21:26:07 gw last message repeated 2 times
Feb 15 21:26:08 gw pppd[11130]: sent [LCP ConfReq id=0x1 <asyncmap 0x0>
<magic 0x79a8ec84> <pcomp> <accom
p>]
Feb 15 21:26:08 gw pppd[11130]: rcvd [LCP ConfRej id=0x1 <pcomp> <accomp>]
Feb 15 21:26:08 gw pppd[11130]: sent [LCP ConfReq id=0x2 <asyncmap 0x0>
<magic 0x79a8ec84>]
Feb 15 21:26:08 gw pppd[11130]: rcvd [LCP ConfReq id=0x6b <auth pap> <magic
0x101b0f62> <asyncmap 0x0>]
Feb 15 21:26:08 gw pppd[11130]: sent [LCP ConfAck id=0x6b <auth pap> <magic
0x101b0f62> <asyncmap 0x0>]
Feb 15 21:26:08 gw pppd[11130]: rcvd [LCP ConfAck id=0x2 <asyncmap 0x0>
<magic 0x79a8ec84>]
Feb 15 21:26:08 gw pppd[11130]: sent [PAP AuthReq id=0x1 user="****"
password=<hidden>]
Feb 15 21:26:08 gw pppd[11130]: rcvd [PAP AuthAck id=0x1 ""]
Feb 15 21:26:08 gw pppd[11130]: sent [IPCP ConfReq id=0x1 <addr 0.0.0.0>
<compress VJ 0f 01> <ms-dns1 0.0
..0.0> <ms-dns3 0.0.0.0>]
Feb 15 21:26:08 gw pppd[11130]: sent [CCP ConfReq id=0x1 <deflate 15>
<deflate(old#) 15> <bsd v1 15>]
Feb 15 21:26:08 gw pppd[11130]: rcvd [IPCP ConfReq id=0x1 <compress VJ 0f
00> <addr 195.251.183.252>]
Feb 15 21:26:08 gw pppd[11130]: sent [IPCP ConfAck id=0x1 <compress VJ 0f
00> <addr 195.251.183.252>]
Feb 15 21:26:08 gw pppd[11130]: rcvd [IPCP ConfNak id=0x1 <addr
195.251.176.180> <ms-dns1 195.251.177.9>
<ms-dns3 195.251.128.5>]
Feb 15 21:26:08 gw pppd[11130]: sent [IPCP ConfReq id=0x2 <addr
195.251.176.180> <compress VJ 0f 01> <ms-
dns1 195.251.177.9> <ms-dns3 195.251.128.5>]
Feb 15 21:26:08 gw pppd[11130]: rcvd [LCP ProtRej id=0x1 80 fd 01 01 00 0f
1a 04 78 00 18 04 78 00 15 03
2f]
Feb 15 21:26:08 gw pppd[11130]: rcvd [IPCP ConfAck id=0x2 <addr
195.251.176.180> <compress VJ 0f 01> <ms-
dns1 195.251.177.9> <ms-dns3 195.251.128.5>]
Feb 15 21:26:08 gw pppd[11130]: tdb_store failed: IO Error
Feb 15 21:26:08 gw pppd[11130]: tdb_store key failed: IO Error
Feb 15 21:26:08 gw pppd[11130]: tdb_store failed: IO Error
Feb 15 21:26:08 gw last message repeated 3 times
Feb 15 21:26:08 gw pppd[11130]: Local IP address changed to 195.251.176.180
Feb 15 21:26:08 gw pppd[11130]: tdb_store failed: IO Error
Feb 15 21:26:08 gw pppd[11130]: Remote IP address changed to 195.251.183.252
Feb 15 21:26:08 gw pppd[11130]: tdb_store failed: IO Error
Feb 15 21:26:08 gw pppd[11130]: sent [IP data] 45 00 00 54 00 00 40 00 ...
Feb 15 21:26:08 gw pppd[11130]: Script /etc/ppp/ip-up started (pid 11141)
Feb 15 21:26:11 gw pppd[11130]: Script /etc/ppp/ip-up finished (pid 11141),
status = 0x0

_______________________________________________________

Any ideas of what is wrong???

I thought to blame wvdial 1.53 so I downloaded 1.54 but I can not get in
anyway wvstreams to compile ( a prerequisit)

I think I have done something wrong with compilation of pppd 2.4.2 & 2.4.1
and it must be the same mistake in both cases... otherwise why the old
binaries run and the new same version self compiled binaries are not?

Thank you for your time.


T. Kontogiannis
U. of the Aegean - SAMOS NOC
tkonto@aegean.gr
www.aegean.gr


0
tkonto1 (23)
2/15/2004 8:31:50 PM
comp.os.linux.networking 15677 articles. 0 followers. Post Follow

3 Replies
1444 Views

Similar Articles

[PageSpeed] 48

Theophanis Kontogiannis <tkonto@aegean.gr> wrote:

> I have downloaded pppd 2.4.2 (and 2.4.1 after I failed to connect with
> 2.4.1) and it compiled (both the kernel and the user parts) OK.
      ^  Should this be a "2?"

What do you mean by "kernel and the user parts?"  Neither standard
version of pppd contains any kernel code in it's source, except for
old kernels (pre-2.4.0 kernels).  It's been my experience that no 2.4.x
pppd except 2.4.0 will work with any 2.2.x or 2.0.x kernel.  I don't
know why there is still kernel code in the pppd 2.4.1 and 2.4.2 modules
directories since there is no provision for installing it.

Of course some older kernels are still being updated in some areas,
and the 2.2.18 kernel was the last of the 2.2.x series I used.

> Without any changes to my wvdial 1.53 conf file,  I try to use the new pppd.

> Result:

> Feb 13 15:53:16 gw wvdial[2629]: WvDial: Internet dialer version 1.53
> Feb 13 15:53:16 gw wvdial[2629]: Initializing modem.
> Feb 13 15:53:16 gw wvdial[2629]: Sending: AT
> Feb 13 15:53:16 gw wvdial[2629]: ERROR
> Feb 13 15:53:16 gw wvdial[2629]: ERROR
> Feb 13 15:53:16 gw wvdial[2629]: OK
> Feb 13 15:53:16 gw wvdial[2629]: Sending: ATB0
> Feb 13 15:53:16 gw wvdial[2629]: ERROR
> Feb 13 15:53:16 gw wvdial[2629]: Bad init string.

....

> I have kept backup of the old binaries staff (also 2.4.1) and if I use the
> old pppd I get (at the same period that the new pppd says no carrier:

> Feb 15 21:26:01 gw wvdial[11140]: WvDial: Internet dialer version 1.53
> Feb 15 21:26:01 gw wvdial[11140]: Initializing modem.
> Feb 15 21:26:01 gw wvdial[11140]: Sending: AT
> Feb 15 21:26:01 gw wvdial[11140]: OK
> Feb 15 21:26:01 gw wvdial[11140]: Sending: ATB0
> Feb 15 21:26:01 gw wvdial[11140]: OK
> Feb 15 21:26:06 gw wvdial[11140]: Sending: ATDT8962518180
> Feb 15 21:26:06 gw wvdial[11140]: Waiting for carrier.
> Feb 15 21:26:07 gw wvdial[11140]: CONNECT
> Feb 15 21:26:07 gw wvdial[11140]: Carrier detected.  Chatmode finished.
> Feb 15 21:26:07 gw pppd[11130]: Serial connection established.
> Feb 15 21:26:07 gw pppd[11130]: tdb_store failed: IO Error
> Feb 15 21:26:07 gw pppd[11130]: using channel 19

> Feb 15 21:26:07 gw pppd[11130]: Connect: ppp0 <--> /dev/input/ttyACM0

This is a USB modem and very likely requires a driver not supplied by
the kernel.  A binary for a driver that is not included with the kernel
source may work for one kernel but not another.

It's definitely wvdial or the "modem" that's the problem.  If a binary
module for your modem is included in the "the old binaries staff" and
the kernel has changed then the module is a prime suspect.

-- 
Clifford Kite                Email: "echo xvgr_yvahk-ccc@ri1.arg|rot13"
PPP-Q&A links, downloads:                      http://ckite.no-ip.net/
0
kite (526)
2/16/2004 2:04:00 AM
"Theophanis Kontogiannis" <tkonto@aegean.gr> writes:

]Hello

]I have downloaded pppd 2.4.2 (and 2.4.1 after I failed to connect with
]2.4.1) and it compiled (both the kernel and the user parts) OK.

Why? Why did you think the problem was with pppd rather than your setup
and/or wvdial?

See
www.theory.physics.ubc.ca/ppp-linux.html


]Without any changes to my wvdial 1.53 conf file,  I try to use the new pppd.

]Result:

]Feb 13 15:53:16 gw wvdial[2629]: WvDial: Internet dialer version 1.53
]Feb 13 15:53:16 gw wvdial[2629]: Initializing modem.
]Feb 13 15:53:16 gw wvdial[2629]: Sending: AT
]Feb 13 15:53:16 gw wvdial[2629]: ERROR

So it cannot find your modem. That is NOT a problem with pppd.

It may be a problem with chat (although I do not think it changed).



]Feb 15 21:26:07 gw pppd[11130]: Connect: ppp0 <--> /dev/input/ttyACM0

What is ttyACM0? What kind of modem you you have? 


]Feb 15 21:26:07 gw pppd[11130]: tdb_store failed: IO Error
]Feb 15 21:26:07 gw last message repeated 2 times
]Feb 15 21:26:08 gw pppd[11130]: sent [LCP ConfReq id=0x1 <asyncmap 0x0>
]<magic 0x79a8ec84> <pcomp> <accom
]p>]
]Feb 15 21:26:08 gw pppd[11130]: rcvd [LCP ConfRej id=0x1 <pcomp> <accomp>]
]Feb 15 21:26:08 gw pppd[11130]: sent [LCP ConfReq id=0x2 <asyncmap 0x0>
]<magic 0x79a8ec84>]
]Feb 15 21:26:08 gw pppd[11130]: rcvd [LCP ConfReq id=0x6b <auth pap> <magic
]0x101b0f62> <asyncmap 0x0>]
]Feb 15 21:26:08 gw pppd[11130]: sent [LCP ConfAck id=0x6b <auth pap> <magic
]0x101b0f62> <asyncmap 0x0>]
]Feb 15 21:26:08 gw pppd[11130]: rcvd [LCP ConfAck id=0x2 <asyncmap 0x0>
]<magic 0x79a8ec84>]
]Feb 15 21:26:08 gw pppd[11130]: sent [PAP AuthReq id=0x1 user="****"
]password=<hidden>]
]Feb 15 21:26:08 gw pppd[11130]: rcvd [PAP AuthAck id=0x1 ""]
]Feb 15 21:26:08 gw pppd[11130]: sent [IPCP ConfReq id=0x1 <addr 0.0.0.0>
]<compress VJ 0f 01> <ms-dns1 0.0
].0.0> <ms-dns3 0.0.0.0>]
]Feb 15 21:26:08 gw pppd[11130]: sent [CCP ConfReq id=0x1 <deflate 15>
]<deflate(old#) 15> <bsd v1 15>]
]Feb 15 21:26:08 gw pppd[11130]: rcvd [IPCP ConfReq id=0x1 <compress VJ 0f
]00> <addr 195.251.183.252>]
]Feb 15 21:26:08 gw pppd[11130]: sent [IPCP ConfAck id=0x1 <compress VJ 0f
]00> <addr 195.251.183.252>]
]Feb 15 21:26:08 gw pppd[11130]: rcvd [IPCP ConfNak id=0x1 <addr
]195.251.176.180> <ms-dns1 195.251.177.9>
]<ms-dns3 195.251.128.5>]
]Feb 15 21:26:08 gw pppd[11130]: sent [IPCP ConfReq id=0x2 <addr
]195.251.176.180> <compress VJ 0f 01> <ms-
]dns1 195.251.177.9> <ms-dns3 195.251.128.5>]
]Feb 15 21:26:08 gw pppd[11130]: rcvd [LCP ProtRej id=0x1 80 fd 01 01 00 0f
]1a 04 78 00 18 04 78 00 15 03
]2f]
]Feb 15 21:26:08 gw pppd[11130]: rcvd [IPCP ConfAck id=0x2 <addr
]195.251.176.180> <compress VJ 0f 01> <ms-
]dns1 195.251.177.9> <ms-dns3 195.251.128.5>]
]Feb 15 21:26:08 gw pppd[11130]: tdb_store failed: IO Error
]Feb 15 21:26:08 gw pppd[11130]: tdb_store key failed: IO Error
]Feb 15 21:26:08 gw pppd[11130]: tdb_store failed: IO Error
]Feb 15 21:26:08 gw last message repeated 3 times
]Feb 15 21:26:08 gw pppd[11130]: Local IP address changed to 195.251.176.180
]Feb 15 21:26:08 gw pppd[11130]: tdb_store failed: IO Error
]Feb 15 21:26:08 gw pppd[11130]: Remote IP address changed to 195.251.183.252
]Feb 15 21:26:08 gw pppd[11130]: tdb_store failed: IO Error
]Feb 15 21:26:08 gw pppd[11130]: sent [IP data] 45 00 00 54 00 00 40 00 ...
]Feb 15 21:26:08 gw pppd[11130]: Script /etc/ppp/ip-up started (pid 11141)
]Feb 15 21:26:11 gw pppd[11130]: Script /etc/ppp/ip-up finished (pid 11141),
]status = 0x0

]_______________________________________________________

]Any ideas of what is wrong???

]I thought to blame wvdial 1.53 so I downloaded 1.54 but I can not get in
]anyway wvstreams to compile ( a prerequisit)

]I think I have done something wrong with compilation of pppd 2.4.2 & 2.4.1
]and it must be the same mistake in both cases... otherwise why the old
]binaries run and the new same version self compiled binaries are not?

so use the old ones. 

wvdial is an extra layer on top of pppd and chat. don't use it,
especially not for debugging something. It is like trying to figure out
how to repair a pull in silk shirt wearing thick winter gloves.




0
unruh (1025)
2/16/2004 6:45:28 AM
Hello all again....

The reason I MUST use the new pppd is that I need a new compilation that can
use the active-filter outbound option.

Bill my modem is a USB/ISDN one.

Cliford I will try to look out what is going on with the usb driver...

Thank you all for your time and tips. They are always food for thoughts.
Theophanis




"Bill Unruh" <unruh@string.physics.ubc.ca> wrote in message
news:c0pou8$1ok$1@string.physics.ubc.ca...
> "Theophanis Kontogiannis" <tkonto@aegean.gr> writes:
>
> ]Hello
>
> ]I have downloaded pppd 2.4.2 (and 2.4.1 after I failed to connect with
> ]2.4.1) and it compiled (both the kernel and the user parts) OK.
>
> Why? Why did you think the problem was with pppd rather than your setup
> and/or wvdial?
>
> See
> www.theory.physics.ubc.ca/ppp-linux.html
>
>
> ]Without any changes to my wvdial 1.53 conf file,  I try to use the new
pppd.
>
> ]Result:
>
> ]Feb 13 15:53:16 gw wvdial[2629]: WvDial: Internet dialer version 1.53
> ]Feb 13 15:53:16 gw wvdial[2629]: Initializing modem.
> ]Feb 13 15:53:16 gw wvdial[2629]: Sending: AT
> ]Feb 13 15:53:16 gw wvdial[2629]: ERROR
>
> So it cannot find your modem. That is NOT a problem with pppd.
>
> It may be a problem with chat (although I do not think it changed).
>
>
>
> ]Feb 15 21:26:07 gw pppd[11130]: Connect: ppp0 <--> /dev/input/ttyACM0
>
> What is ttyACM0? What kind of modem you you have?
>
>
> ]Feb 15 21:26:07 gw pppd[11130]: tdb_store failed: IO Error
> ]Feb 15 21:26:07 gw last message repeated 2 times
> ]Feb 15 21:26:08 gw pppd[11130]: sent [LCP ConfReq id=0x1 <asyncmap 0x0>
> ]<magic 0x79a8ec84> <pcomp> <accom
> ]p>]
> ]Feb 15 21:26:08 gw pppd[11130]: rcvd [LCP ConfRej id=0x1 <pcomp>
<accomp>]
> ]Feb 15 21:26:08 gw pppd[11130]: sent [LCP ConfReq id=0x2 <asyncmap 0x0>
> ]<magic 0x79a8ec84>]
> ]Feb 15 21:26:08 gw pppd[11130]: rcvd [LCP ConfReq id=0x6b <auth pap>
<magic
> ]0x101b0f62> <asyncmap 0x0>]
> ]Feb 15 21:26:08 gw pppd[11130]: sent [LCP ConfAck id=0x6b <auth pap>
<magic
> ]0x101b0f62> <asyncmap 0x0>]
> ]Feb 15 21:26:08 gw pppd[11130]: rcvd [LCP ConfAck id=0x2 <asyncmap 0x0>
> ]<magic 0x79a8ec84>]
> ]Feb 15 21:26:08 gw pppd[11130]: sent [PAP AuthReq id=0x1 user="****"
> ]password=<hidden>]
> ]Feb 15 21:26:08 gw pppd[11130]: rcvd [PAP AuthAck id=0x1 ""]
> ]Feb 15 21:26:08 gw pppd[11130]: sent [IPCP ConfReq id=0x1 <addr 0.0.0.0>
> ]<compress VJ 0f 01> <ms-dns1 0.0
> ].0.0> <ms-dns3 0.0.0.0>]
> ]Feb 15 21:26:08 gw pppd[11130]: sent [CCP ConfReq id=0x1 <deflate 15>
> ]<deflate(old#) 15> <bsd v1 15>]
> ]Feb 15 21:26:08 gw pppd[11130]: rcvd [IPCP ConfReq id=0x1 <compress VJ 0f
> ]00> <addr 195.251.183.252>]
> ]Feb 15 21:26:08 gw pppd[11130]: sent [IPCP ConfAck id=0x1 <compress VJ 0f
> ]00> <addr 195.251.183.252>]
> ]Feb 15 21:26:08 gw pppd[11130]: rcvd [IPCP ConfNak id=0x1 <addr
> ]195.251.176.180> <ms-dns1 195.251.177.9>
> ]<ms-dns3 195.251.128.5>]
> ]Feb 15 21:26:08 gw pppd[11130]: sent [IPCP ConfReq id=0x2 <addr
> ]195.251.176.180> <compress VJ 0f 01> <ms-
> ]dns1 195.251.177.9> <ms-dns3 195.251.128.5>]
> ]Feb 15 21:26:08 gw pppd[11130]: rcvd [LCP ProtRej id=0x1 80 fd 01 01 00
0f
> ]1a 04 78 00 18 04 78 00 15 03
> ]2f]
> ]Feb 15 21:26:08 gw pppd[11130]: rcvd [IPCP ConfAck id=0x2 <addr
> ]195.251.176.180> <compress VJ 0f 01> <ms-
> ]dns1 195.251.177.9> <ms-dns3 195.251.128.5>]
> ]Feb 15 21:26:08 gw pppd[11130]: tdb_store failed: IO Error
> ]Feb 15 21:26:08 gw pppd[11130]: tdb_store key failed: IO Error
> ]Feb 15 21:26:08 gw pppd[11130]: tdb_store failed: IO Error
> ]Feb 15 21:26:08 gw last message repeated 3 times
> ]Feb 15 21:26:08 gw pppd[11130]: Local IP address changed to
195.251.176.180
> ]Feb 15 21:26:08 gw pppd[11130]: tdb_store failed: IO Error
> ]Feb 15 21:26:08 gw pppd[11130]: Remote IP address changed to
195.251.183.252
> ]Feb 15 21:26:08 gw pppd[11130]: tdb_store failed: IO Error
> ]Feb 15 21:26:08 gw pppd[11130]: sent [IP data] 45 00 00 54 00 00 40 00
....
> ]Feb 15 21:26:08 gw pppd[11130]: Script /etc/ppp/ip-up started (pid 11141)
> ]Feb 15 21:26:11 gw pppd[11130]: Script /etc/ppp/ip-up finished (pid
11141),
> ]status = 0x0
>
> ]_______________________________________________________
>
> ]Any ideas of what is wrong???
>
> ]I thought to blame wvdial 1.53 so I downloaded 1.54 but I can not get in
> ]anyway wvstreams to compile ( a prerequisit)
>
> ]I think I have done something wrong with compilation of pppd 2.4.2 &
2.4.1
> ]and it must be the same mistake in both cases... otherwise why the old
> ]binaries run and the new same version self compiled binaries are not?
>
> so use the old ones.
>
> wvdial is an extra layer on top of pppd and chat. don't use it,
> especially not for debugging something. It is like trying to figure out
> how to repair a pull in silk shirt wearing thick winter gloves.
>
>
>
>


0
tkonto1 (23)
2/16/2004 8:12:40 AM
Reply:

Similar Artilces:

Does 4/2/2= (4/2)/2 =1 OR = 4/(2/2)=4
I don't have matlab and I am trying to translate some simple matlab code. Does 4/2/2 = (4/2)/2 = 1 or 4/2/2 = 4/(2/2) = 4 On 9/11/2012 9:43 AM, sarah.englander@gmail.com wrote: > I don't have matlab and I am trying to translate some simple matlab code. > > Does 4/2/2 = (4/2)/2 = 1 yes. At a given precedence level (and obviously two of the same operators are the same level) evaluation proceeds from LtoR. ....snip... <http://www.mathworks.com/help/techdoc/matlab_prog/f0-40063.html#f0-38155> -- dpb <none@non.net> wrote in message <k2njh1$jes$1@speranza.aioe.org>... > On 9/11/2012 9:43 AM, sarah.englander@gmail.com wrote: > > I don't have matlab and I am trying to translate some simple matlab code. > > > > Does 4/2/2 = (4/2)/2 = 1 > > yes. At a given precedence level (and obviously two of the same > operators are the same level) evaluation proceeds from LtoR. > > ...snip... > > <http://www.mathworks.com/help/techdoc/matlab_prog/f0-40063.html#f0-38155> > > -- There are a few thing you need to understand: 1. You need to get matlab in order to translate the simple code 2. You should define your parameters as in what is the expected output of your search based on the equations used: Is it : a) 4/2/2 b) (4/2/2) On 9/11/2012 11:13 PM, Salvinder wrote: .. > There are a few thing you need to understand: > 1. ...

[News] 4 Linux Releases: Foresight Linux 1.1, Ubuntu CE 2.2, Kwort 2.2, Mandriva 2007.1 RC1
Foresight Linux 1.1 is out ! http://foresightlinux.com/downloads/ Kwort [Slackware derivative] 2.2 final released! ,----[ Quote ] | I'm proud to announce that Kwort 2.2 final version has been released | after a very long time (more than a year). The system is very stable | and very usable. `---- http://kwort.org/?page=NewsViewer&ID=45&PHPSESSID=1d286ac69fabebf18b4db27ded0b277d Mandriva Linux 2007 Spring RC1 (aka "Xianyang") ,----[ Quote ] | New since Mandriva Linux 2007: | | * Major desktop components | o KDE 3.5.6 | o GNOME 2.18 (RC: final release will include GNOME 2.18) | o OpenOffice.org 2.1 | o Mozilla Firefox 2.0 `---- http://wiki.mandriva.com/en/Releases/Mandriva/2007.1/Development/RC1 ...

MIME encoding change in Python 2.4.3 (or 2.4.2? 2.4.1?)
I have an application that processes MIME messages. It reads a message from a file, looks for a text/html and text/plain parts in it, performs some processing on these parts, and outputs the new message. Ever since I recently upgraded my Python to 2.4.3, the output messages started to come out garbled, as a block of junk characters. I traced the problem back to a few lines that were removed from the email package: The new Python no longer encodes the payload when converting the MIME message to a string. Since my program must work on several computers, each having a different version of Pyth...

Newbie question; why (cons (list 1 2) (list 3 4)) is ((1 2) 3 4) and not ((1 2) (3 4))
Hi, I just started to learn LISP, and stumbled in SICP upon (cons (list 1 2) (list 3 4)) is evaluated to ((1 2) 3 4) I do not understand why this is not: ((1 2) (3 4)) because (cdr (cons (list 1 2) (list 3 4))) is (3 4) and (car (cons (list 1 2) (list 3 4))) is (1 2) Is there a logical explanation? Thank you for your patience. -- Greg Out of order, gregor <gregor@ediwo.com> writes: > Is there a logical explanation? Yes. > I just started to learn LISP, and stumbled in SICP upon But first, let's talk about LISP, Lisp, Scheme and Common Lisp. LISP is the name of the programming language invented in 1959 by John McCarthy and of the first program implementing it written amongst other by Steve Russel, one of his students. LISP 1.5 is a segueing version of that same program dating about 1962 that had some distribution. Then various lisp languages were developed at various places by various teams. Names such as MacLisp, InterLisp, LeLisp, StandardLisp, vLisp, Lisp Machine Lisp, Scheme, GNU Emacs Lisp, etc. It was quite a mess, and people had a hard time sharing programs. So they talked and designed and wrote and voted and produced the ANSI Common Lisp standard (in the USA), meanwhile in Europe they produced the ISO Lisp standard. Nowadays, almost all the other lisps are "dead", with only scheme (current version r5rs, r7r...

Upgrade of Xalan 1.2.2 and Xerces 1.4.4 to Xalan 2.6 and Xerces 2.6.2
I've been tasked with upgrading the JVM from 1.3 to 1.4, and the third party libraries used by my company on our existing Java framework. I'm most worried about any problems that may occur due to upgrading Xalan and Xerces as our framework performs much XML transformation and processing. Does anyone have a link to known issues with such an upgrade (besides the Xalan / Xerces sites) ? Or has anyone done such an upgrade and can share their pearls of wisdom? Thanks Chris ...

Crash when using wxTextCtrl with xwGTK-2.4.1 and wxGTK-2.4.2 Suse Linux 8.2
I am using trying to add some wxTextCtrl to a frame with the result that the program crashes when starting it. On console the errormessage is (in german) Speicherzugriffsfehler (Don't know what an english Linux would give out-> It means imho that an address is accessed that does not depend to the applications memory space.) It compiles without errors, I tried GTK-2.4.1 & 2.4.2 with the same result. (wxWindows is compiled without GTK2 support !) The code that doesn't work with Linux works on Windows. (9x) I found out that for any strange reason when I add the li...

Upgrading 2.4.1 to 2.4.2
Hi, I have Python 2.4.1 and have downloaded 2.4.2. Is there a way to avoid installing everything and, instead, just upgrade? Thanks, Sorin __________________________________ Yahoo! Mail - PC Magazine Editors' Choice 2005 http://mail.yahoo.com Sori Schwimmer wrote: > I have Python 2.4.1 and have downloaded 2.4.2. Is > there a way to avoid installing everything and, > instead, just upgrade? Run the following code on your 2.4.1 installation and post the results: python -m platform Or, if you prefer: import platform platform.platform(True, False) -- -Scott D...

Re: Dependency problems migrating from 2.4.2 to [wx 2.6.1, WinXP, VC 7.1] #2
Hi Ben, > If it were unreasonable for a cross-platform app to use libjpeg (as you seem > to be implying) then a huge majority of cross-platform open-source apps out > there are "unreasonable." Is there, in fact, a shared jpeg library guaranteed to be available on all versions of Windows? > This is really bizarre to encounter this on the wx mailing list. Since when > does Microsoft have any say at all in how developers create cross-platform > apps? If they did, we wouldn't be using wxWidgets. If you develop wxWidgets applications for Microsoft...

Printing 2^1, 2^2, 2^3, 2^4 and 2^5
Hi, When I use a while loop, the output is: 2 4 8 16 32, as desired: <?php $c=1; while($c<=5) { $d = newpow(2, $c); print "$d "; $c++; } function newpow($base, $power) { // statements... } ?> The But when I use a for loop, the output is: 64: <?php for($c=1; $c<=5; $c++); { $d = newpow(2, $c); print "$d "; } function newpow($base, $power) { // statements... } ?> Why is this?? Many thanks, Michael mejpark wrote: > When I use a while loop, the output is: 2 4 8 16 32, as desired: [...] > The But when I use a for loop, the output is: 64...

Load average differences between Apache 1.3.37/PHP 4.4.6 and Apache 2.2.4/PHP 5.2.1
Hi folks, I've encountered something rather strange. This morning, I upgraded our production server, providing web services for our library website, from Apache 1.3.37/PHP 4.4.6 to Apache 2.2.4/PHP 5.2.1. The server, which normally exhibits a load average below 1 most of the time, spiked to loads that approached 100 if left alone. The interesting part of this is that this load average seems to be almost artificial - it appears to be caused by httpd processes stuck in a "closing connection" state (TIME_WAIT, in netstat). These processes are still running according t...

(??] [2/4]
begin 644 TEST2.txt 186YO=&AE<B!T97-T+BXN+BX` ` end Posted Via Usenet.com Premium Usenet Newsgroup Services ---------------------------------------------------------- ** SPEED ** RETENTION ** COMPLETION ** ANONYMITY ** ---------------------------------------------------------- http://www.usenet.com ...

[News] 4 New GNU/Linux Releases: KnoMath 1.2, eAR OS 1.09, Resulinux 2.9, Absolute 12.1.01
-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 KnoMath 1.2 @ http://knosciences.tuxfamily.org/doku.php eAR OS 1.09 2008-06-05: Please use torrent for download ,----[ Quote ] | Every time we believe we got a good host for download, then it is closed, | because of too much Internet trafic. This is out of our control and we are | very sorry about that. Hopefully the hosting servers will be online again | very soon (when they can handle the trafic!) | In the mean time we recommend you to use torrent for download. The more | torrent users, the better it works for everyone. In the future:...

Wanted: Computer Gaming World issues 2.2, 2.4, 4.1 #2
Good day, I am looking for the following issues of Computer Gaming World magazine: 2.2, 2.4 (1982) 4.1 (1984) I'm willing to purchase or trade... thanks for your help! Steph -- cgw.vintagegaming.org The Computer Gaming World Museum ...

Wanted: Computer Gaming World issues 2.2, 2.4, 4.1 #2
Good day, I am looking for the following issues of Computer Gaming World magazine: 2.2, 2.4 (1982) 4.1 (1984) I'm willing to purchase or trade... thanks for your help! Steph -- cgw.vintagegaming.org The Computer Gaming World Museum ...

KPF 2.1.15->4.0.2->2.1.5 problems ?
Hello, I was a long time user of Kerio Personal Firewall 2.1.14, than 15. (Win98SE/64MB) Was Very stable and fine. Recently I have tried Versin 4.0.2. It was not too stable I seemed to be like ZA clone ( tried ZA 2-3 yaers ago ). I use Total uninstall for uninstalation of software. Using avast antivirus, running as service too. Now I have regularly trouble with KPF. Its icon often hangs, net behaves strange. Shooting KPF engine and running again helps, but is annoying. Once reinstalled not helped. Has anybody such experiencies and better serious solution too ? -- "Libor the Wanderer" <poutnikqdel@atthislas.cz> As dialup user I am sorry for late response. ForPrivateResponseRemoveDelAndThisFromAboveAddress. On Thu, 25 Sep 2003 20:29:35 +0200, Libor Striz <poutnikqdel@atthislas.cz> wrote: > >Hello, > >I was a long time user of Kerio Personal Firewall 2.1.14, >than 15. (Win98SE/64MB) Was Very stable and fine. >Recently I have tried Versin 4.0.2. > >It was not too stable I seemed to be like ZA clone >( tried ZA 2-3 yaers ago ). > >I use Total uninstall for uninstalation of software. >Using avast antivirus, running as service too. > >Now I have regularly trouble with KPF. Its icon often hangs, >net behaves strange. Shooting KPF engine and running again helps, >but is annoying. > >Once reinstalled not helped. I not clear which version you re-installed. >Has anybody such experiencies and bet...

(??] [4/4]
begin 644 Untitled2.txt ,2&5L;&\@07-I82$A ` end Posted Via Usenet.com Premium Usenet Newsgroup Services ---------------------------------------------------------- ** SPEED ** RETENTION ** COMPLETION ** ANONYMITY ** ---------------------------------------------------------- http://www.usenet.com ...

kpasswd problem on 1.4.1/1.4.2
-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 I just noticed that with 1.4.1 and 1.4.2, when I try to change my password with kpasswd, I get the following message after entering the new password twice: kpasswd: Permission denied changing password This occurs whether the KDC is at 1.3.4 or at 1.4.2. I don't have the problem using a 1.3.4 kpasswd. Has something changed in 1.4.x with respect to password changing? Mike _____________________________________________________________________ Mike Friedman System and Network Security mikef@ack.Berkeley.EDU 2484 Shattuck Avenue 1-510-642-1410 University of California at Berkeley http://ack.Berkeley.EDU/~mikef http://security.berkeley.edu _____________________________________________________________________ -----BEGIN PGP SIGNATURE----- Version: PGP 6.5.8 iQA/AwUBQvuPh60bf1iNr4mCEQKwcACcCPFVvKos0E1vgR/52PQ+0nD/0EMAnjmd l20HKpKo3c8yXC/BnYU0ocMV =NeZX -----END PGP SIGNATURE----- ________________________________________________ Kerberos mailing list Kerberos@mit.edu https://mailman.mit.edu/mailman/listinfo/kerberos ...

kpasswd problem on 1.4.1/1.4.2 (NOT!)
-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 Earlier, I posted this: > I just noticed that with 1.4.1 and 1.4.2, when I try to change my > password with kpasswd, I get the following message after entering the > new password twice: > > kpasswd: Permission denied changing password > > This occurs whether the KDC is at 1.3.4 or at 1.4.2. > > I don't have the problem using a 1.3.4 kpasswd. > > Has something changed in 1.4.x with respect to password changing? I now realize what the answer is: my firewall. I needed to open up UDP 464 to allow password-changing. This hasn't been an issue for me in the past because, until very recently, I haven't been running a host-based firewall on my own workstation. If I had been, then I'm sure my 1.3.4 kpasswd would have had the same problem. My test earlier today with a 1.3.4 kpasswd was from a different machine (still running 1.3.4) that doesn't have such a firewall. I realized all this when I discovered that 1.4.2 kpasswd worked fine from my 1.4.2 KDC itself. I then ran a trace of kpasswd on my workstation and saw that the 'permission denied' problem was coming when trying to write to a socket for the actual password change. Sorry for the false alarm! Mike _____________________________________________________________________ Mike Friedman System and Network Security mikef@ack.Berkeley.EDU 2484 Shattuck Avenue 1-510-642-1410 ...

Palm Desktop 4.2.1, Mac OS 9.2.2, & AvantGo 4.0
I've finally gotten around to setting up a newer Mac running MacOS 9.2.2. I've updated Palm Desktop to 4.2.1. I'm trying to get AvantGo 4.0 to play nicely with my setup (since I'm using a Palm m515), but it won't install correctly. AvantGo Connect sees no profiles, and Palm Desktop sees no AvantGo conduit. Any clues what I should do (other than bail on AvantGo and/or update to OS X, which would mean bailing on AvantGo or going with Missing Sync anyhow)? In article <1157165247.345416.46560@b28g2000cwb.googlegroups.com>, ultrajoe@spamcop.net wrote: > I've fi...

BSS problem in DJGPP port of GCC 4 (was: Re: Question about djcross-gcc-4.1.1-2) #2
>It seems to be bug in binutils. It does not appear even in C++ when option >-fno-exceptions is specified (so no .eh_frame section). Actually, the -fno-exceptions causes files like eh_alloc.o not to be linked into the resulting executable. The stdc++ library is compiled with several compiler flags, one of them being -fdata-sections. Consider the following small test program: --- cut begin--- static int int_array[500000]; int main (void) { return 0; } --- cut end--- Compiling this C file *without* the -fdata-sections option gives the desired output: $ i586-pc-msdosdjgpp-size...

RE: Dependency problems migrating from 2.4.2 to [wx 2.6.1, WinXP, VC 7.1]
Vadim, I found another problem, either an error in the build files or the documentation. The documentation page "Libraries list" states: wxAdvanced: Advanced or rarely used GUI classes: wxDragImage However, from the wx 2.6.1 source, it appears that wxDragImage is not part of the "adv" library. I do find it in the "core" library. In fact, it is used by another core class, TreeCtrl. Perhaps this is simply a documentation issue. -Ben --------------------------------------------------------------------- To unsubscribe, e-mail: wx-users-un...

PHPBB2, PHP 4.3.4, MySQL 4.1.1, Apache 2.0.49, Fedora 2
My combination is: PHPBB2, PHP 4.3.4, MySQL 4.1.1, Apache 2.0.49, Fedora 2 Anyone out there has a successful combination of newer versions ? fr gr Erik ...

LaTex equation numbering like 2.1, 2.2, also 2.0.1, 2.0,2, 2.1.1, etc
David Roach wrote: > Is there a simple command to have latex number > the equations by the section numbers automatically. > > David From the LaTeX Companion (what a wonderful book!) %%%%%%%%%%%%%%%%%%%%%% % number equations within sections % In preamble \makeatletter \@addtoreset{equation}{section} \makeatother \renewcommand{\theequation}{\thesection.\arabic{equation}} %%%%%%%%%%%%%%%%%%%%%% Numbers within sections...I use this all the time in articles. Even works with ******************* ******************* Brilliant. And then I got numbering within subsections by repeating and editing (not replacing), so I now have:- (Just after the documentClass command) \makeatletter \@addtoreset{equation}{section} \makeatother \renewcommand{\theequation}{\thesection.\arabic{equation}} \makeatletter \@addtoreset{equation}{subsection} \makeatother \renewcommand{\theequation}{\thesubsection.\arabic{equation}} Bob Bob Marlow schrieb: > David Roach wrote: > >> Is there a simple command to have latex number >> the equations by the section numbers automatically. >> >> David > > From the LaTeX Companion (what a wonderful book!) > > %%%%%%%%%%%%%%%%%%%%%% > > % number equations within sections > % In preamble > > \makeatletter > \@addtoreset{equation}{section} > \makeatother > \renewcommand{\theequation}{\thesection.\arabic{equation}} > > %%%%%%%%%%%%%%%%%%%%%% [more code] > Hi! I th...

announce: PPSkit-2.1.2 for Linux 2.4.21
Hello patchers and mergers, Jeff Mock, Kasenna, Inc., and I proudly announce the availability of PPSkit-2.1.2 since 7:00 UTC. The work for this release was funded by Kasenna, Inc. (thanks!). Here are the boring news: NEWS for 2.1.2 * Merged patch for Linux-2.4.21. Some architectures may no longer be working because of modifications in timing code that I don't understand. Intel Pentium does work however. * Revised ``INSTALL''. I still think it's worth reading. Revised ``README''. * This release has been sponsored (see CREDITS). -------- I would ...

Web resources about - PPPD 2.4.1 and 2.4.2 with wvdial 1.53 problem - comp.os.linux.networking

Is–ought problem - Wikipedia, the free encyclopedia
The is–ought problem in meta-ethics as articulated by Scottish philosopher and historian David Hume (1711–76) is that many writers make claims ...

Establishing sleep patterns early in life key to avoiding future problems
Children have just the first five years of life to develop good sleeping habits before they are at risk of adjusting poorly to school and developing ...

Maria Sharapova's meldonium problem: it's about the brains, not the looks
What Maria Sharapova seems most guilty of is breathtaking stupidity.

Slater frustrated with shoulder problems
BILLY Slater is said to be “disappointed” and “frustrated” with the Melbourne Storm star set to undergo an arthroscope on his troublesome left ...

Establishing sleep patterns early in life key to avoiding future problems
Children have just the first five years of life to develop good sleeping habits before they are at risk of adjusting poorly to school and developing ...

Obama Wants SXSW to Help Solve America's Problems, Including Apple Standoff
President Obama asked a tech-savvy audience attending the first day of the South by Southwest Interactive Festival in Austin to help tackle the ...

Florida’s problem with sea level rise catches up with Rubio at debate
... debate near Miami, Florida. (credit: Joe Raedle / Getty Images) Earlier this year, a group of Florida mayors that are dealing with problems ...

How to fix Microsoft Edge's worst problems
... soon (and to the rest of us when the Redstone update for Windows 10 rolls out in June/July). If you’re using the new browser and having problems, ...

NASTY: Bill Clinton's Disgusting Flatulence Problems Date Back to White House Years
It's not just Granny Catlady who stinks. It's also her husband : Clinton became so flatulent at one point during his presidency that his close ...

Weekend Reading: Andrew Gelman: The problems with p-values are not just with p-values
**Andrew Gelman**: [The problems with p-values are not just with p-values](http://andrewgelman.com/2016/03/07/29212/): >The American Statistical ...

Resources last updated: 3/14/2016 2:29:42 PM